/*******************************************************************************

  PointList is needed to specify shape (Chain Code), e.g. for filters

  Programmer: Dima V. Fedorov <http://www.dimin.net/>

  History:
    03/21/2001 17:17:01 - First Creation

*******************************************************************************/

#ifndef DIV_POINT_LIST_H
#define DIV_POINT_LIST_H

#if defined(__BORLANDC__)
#include <vcl>

  class TPointList : public TList
  {
  private :
    TPoint __fastcall GetPoint(int Index);
    void __fastcall PutPoint(int Index, TPoint Item);
  public :
    __fastcall virtual ~TPointList(void);
    void __fastcall Clear(void);

    void __fastcall Delete(int Index);
    void __fastcall InsertPoint(int Index, TPoint Point);

    void __fastcall Assign(TPointList *NewList);
    void __fastcall SortByX(void);
    void __fastcall SortByY(void);
    int __fastcall AddPoint(TPoint Point);
    void __fastcall LineBeginEnd(int y, int& LBegin, int& LEnd);
    TRect __fastcall EnvolvingRect();

    unsigned long __fastcall PixelsInside();
    TPoint __fastcall FirstPoint();
    TPoint __fastcall LastPoint();
    void __fastcall RemoveRepeated();
    void __fastcall RemoveRepeatedNoSort();

    __property TPoint Points[int Index] = {read=GetPoint, write=PutPoint};
  };
#endif

#endif //DIV_POINT_LIST_H

