/*******************************************************************************

  Borland VCL API for DIMIN Viewer n5 (DIV5)

  Programmer: Dima V. Fedorov Levit <dimin@dimin.net> <http://www.dimin.net/>

  History:
    01/17/2005 19:22 - Conversion to v5
    
*******************************************************************************/
#include <windows.h>
#include "DIVFilterDefs.h"
#include "PointListUnit.h"

#if defined(__BORLANDC__)
#include <vcl>

//******************************************************************************
// @@@ UTILS
//******************************************************************************

Graphics::TBitmap *getTBitmap(HBITMAP hbmp, HPALETTE hpal)
{
  try
  {
    Graphics::TBitmap *Result = new Graphics::TBitmap();
    Result->Handle  = hbmp;
    Result->Palette = hpal;
    return Result;
  }
  catch (...)
  {
    return NULL;
  }
}

void getHBitmap(Graphics::TBitmap *bmp, HBITMAP *hbmp, HPALETTE *hpal)
{
  *hbmp = bmp->ReleaseHandle();
  *hpal = bmp->ReleasePalette();
  delete bmp;
}

void findLineBegEndChain(TDIVParameters *par, DWORD w, DWORD y, int& pBeg, int& pEnd)
{
  TPointList *chainList;
  pBeg = 0;
  pEnd = w-1;

  if (par == NULL) return;
  if (par->chainList == NULL) return;

  chainList = (TPointList *) par->chainList;
  chainList->LineBeginEnd(y, pBeg, pEnd);
}

#endif





